QGListIterator(3qt)

NAME
QGListIterator - The QGListIterator is an internal class for implementing QListIterator

SYNOPSIS

#include <qglist.h>

Inherited by QListIterator.

  Protected Members

QGListIterator ( const QGList & )

QGListIterator ( const QGListIterator & )

QGListIterator& operator= ( const QGListIterator & )

~QGListIterator ()

bool atFirst () const

bool atLast () const

GCI toFirst ()

GCI toLast ()

GCI get () const

GCI operator ()()

GCI operator++ ()

GCI operator+= ( uint )

GCI operator-- ()

GCI operator-= ( uint )

DESCRIPTION
The QGListIterator is an internal class for implementing QListIterator.

QGListIterator is a strictly internal class that does the heavy work for QListIterator.

MEMBER FUNCTION DOCUMENTATION

QGListIterator::QGListIterator ( const QGList & l ) [protected]
For internal use only.

QGListIterator::QGListIterator ( const QGListIterator & it ) [protected]
For internal use only.

QGListIterator::~QGListIterator () [protected]
For internal use only.

bool QGListIterator::atFirst () const [protected]
For internal use only.

bool QGListIterator::atLast () const [protected]
For internal use only.

GCI QGListIterator::get () const [protected]
For internal use only.

GCI QGListIterator::operator() () [protected]
For internal use only.

GCI QGListIterator::operator++ () [protected]
For internal use only.

GCI QGListIterator::operator+= ( uint jumps ) [protected]
For internal use only.

GCI QGListIterator::operator-- () [protected]
For internal use only.

GCI QGListIterator::operator-= ( uint jumps ) [protected]
For internal use only.

QGListIterator & QGListIterator::operator= ( const QGListIterator & it ) [protected]
For internal use only.

GCI QGListIterator::toFirst () [protected]
For internal use only.

GCI QGListIterator::toLast () [protected]
For internal use only.

SEE ALSO
http://www.troll.no/qt/qglistiterator.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.